Index: main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm	(revision 31492)
@@ -33,5 +33,5 @@
 use FileUtils;
 use doc;
-use EncodingUtil;
+use CommonUtil;
 use plugin;
 use arcinfo;
@@ -43,5 +43,5 @@
 
 BEGIN {
-    @ArchivesInfPlugin::ISA = ('EncodingUtil');
+    @ArchivesInfPlugin::ISA = ('CommonUtil');
 }
 
@@ -79,5 +79,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new EncodingUtil($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new CommonUtil($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/AutoExtractMetadata.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/AutoExtractMetadata.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/AutoExtractMetadata.pm	(revision 31492)
@@ -25,5 +25,5 @@
 
 # This plugin uses the supporting Extractors to add metadata extraction 
-# functionality to BasePlugin.
+# functionality to BaseImporter.
 
 
@@ -34,5 +34,5 @@
 no strict 'refs'; # allow filehandles to be variables and viceversa
 
-use BasePlugin;
+use BaseImporter;
 use AcronymExtractor;
 use KeyphraseExtractor;
@@ -42,5 +42,5 @@
 
 sub BEGIN {
-    @AutoExtractMetadata::ISA = ( 'BasePlugin', 'AcronymExtractor', 'KeyphraseExtractor', 'EmailAddressExtractor', 'DateExtractor','GISExtractor' );
+    @AutoExtractMetadata::ISA = ( 'BaseImporter', 'AcronymExtractor', 'KeyphraseExtractor', 'EmailAddressExtractor', 'DateExtractor','GISExtractor' );
 }
 
@@ -76,5 +76,5 @@
     new DateExtractor($pluginlist, $inputargs, $hashArgOptLists);
     new GISExtractor($pluginlist, $inputargs, $hashArgOptLists);
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists,$auxiliary);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists,$auxiliary);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/AutoLoadConverters.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/AutoLoadConverters.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/AutoLoadConverters.pm	(revision 31492)
@@ -117,5 +117,5 @@
     my $pi_self = new PrintInfo($pluginlist, $inputargs, $hashArgOptLists, 1);
     push (@self_array, $pi_self);
-    $self = BasePlugin::merge_inheritance(@self_array);
+    $self = BaseImporter::merge_inheritance(@self_array);
 
     return bless $self, $class;
